// Implicit Intent doesn't specifiy the component. 
// The intent provides information of available components 
// provided by the system that is to be invoked.

import androidx.appcompat.app.AppCompatActivity;
import android.content.Intent;  
import android.net.Uri;   
import android.os.Bundle;  
import android.view.View;  
import android.widget.Button;  
import android.widget.EditText;  
  
public class MainActivity extends AppCompatActivity {  
  
    Button button;  
    EditText editText;  
  
    @Override  
    protected void onCreate(Bundle savedInstanceState) {  
        super.onCreate(savedInstanceState);  
        setContentView(R.layout.activity_main);  
  
        button = findViewById(R.id.button);  
        editText =  findViewById(R.id.editText);  
  
        button.setOnClickListener(new View.OnClickListener() {  
            @Override  
            public void onClick(View view) {  
                String url=editText.getText().toString();
                Intent intent=new Intent(Intent.ACTION_VIEW);
                intent.setData(Uri.parse(url));
                startActivity(intent);
            
      // or   Intent intent=new Intent(Intent.ACTION_VIEW, Uri.parse(url));  
               
            }  
        });  
    }  
}  
